# PluginCodec_Option Struct Reference

`#include <opalplugin.h>`

## Data Fields

enum PluginCodec_OptionTypes | m_type
const char * | m_name
unsigned | m_readOnly
enum PluginCodec_OptionMerge | m_merge
const char * | m_value
const char * | m_FMTPName
const char * | m_FMTPDefault
int | m_H245Generic
const char * | m_minimum
const char * | m_maximum
PluginCodec_MergeFunction | m_mergeFunction
PluginCodec_FreeFunction | m_freeFunction
const char * | m_H245Default

## Field Documentation

const char* PluginCodec_Option::m_FMTPDefault

const char* PluginCodec_Option::m_FMTPName

PluginCodec_FreeFunction PluginCodec_Option::m_freeFunction

const char* PluginCodec_Option::m_H245Default

int PluginCodec_Option::m_H245Generic

const char* PluginCodec_Option::m_maximum

enum PluginCodec_OptionMerge PluginCodec_Option::m_merge

PluginCodec_MergeFunction PluginCodec_Option::m_mergeFunction

const char* PluginCodec_Option::m_minimum

const char* PluginCodec_Option::m_name

unsigned PluginCodec_Option::m_readOnly

enum PluginCodec_OptionTypes PluginCodec_Option::m_type

const char* PluginCodec_Option::m_value

The documentation for this struct was generated from the following file:

- opalplugin.h